Skip to main content
POST
/
v1
/
redeem
/
reward
/
issue
Issue Reward
curl --request POST \
  --url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reward/issue \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
  "locationExternalReference": "Company_Club",
  "amountToRedeem": 50,
  "tierDiscountValue": 0,
  "issueAuditUser": "Joe"
}
'
import requests

url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reward/issue"

payload = {
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"locationExternalReference": "Company_Club",
"amountToRedeem": 50,
"tierDiscountValue": 0,
"issueAuditUser": "Joe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profileId: '67460e74-02e3-11e8-b443-00163e990bdb',
locationExternalReference: 'Company_Club',
amountToRedeem: 50,
tierDiscountValue: 0,
issueAuditUser: 'Joe'
})
};

fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reward/issue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 201,
  "message": "Created",
  "errors": {},
  "data": {
    "rewardPointCost": 0.5,
    "rewardValue": 100,
    "rewardName": "Demo Reward",
    "redemptionCode": "c48e8827-2a72-4a0f-a4d2-2347b11b4f34"
  }
}
{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}
{
"detail": "Authentication Failed"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Details needed to issue a variable reward

profileId
string<uuid>
required

Profile ID of the member. In an ecosystem, it acts as a primary ID to keep the various systems (apps, websites, etc.) in sync.

Example:

"67460e74-02e3-11e8-b443-00163e990bdb"

locationExternalReference
string
required

External reference ID (or name) of the location where the points are being redeemed.

Minimum string length: 1
Example:

"Company_Club"

amountToRedeem
number<float>
required

Dollar amount being redeemed. Maximum amount which can be redeemed (or the reward limit) is configurable. When a member has $100 in their loyalty account and the store has a reward limit of $50, they can use two rewards certificates to redeem the amount fully.

Example:

50

tierDiscountValue
number<float>
required

Tier-based discounts can be offered by attaching members to different tiers, such as silver, gold, platinum, etc. Discount percentage or discount amounts can be customized.

Example:

0

issueAuditUser
string

Name of the representative who is issuing the reward.

Minimum string length: 1
Example:

"Joe"

Response

OK

status
integer<int32>

Status of the call

Example:

201

message
string
default:Exception message

Message corresponding to the call

Example:

"Created"

errors
any

Error details, if applicable

Example:
{}
data
object

Details of the points issued as reward.